/* BLOCK: Nine Item Grid */

.block-nine-item-grid .grid-wrapper {
    display: flex;
    gap: 1.25rem;
}

.block-nine-item-grid .grid-column {
    display: flex;
    flex-direction: column;
    gap: 1.25rem;
    flex-basis: 100%;
}

.block-nine-item-grid .grid-item {
    display: flex;
    flex-direction: column;
    gap: 1.875rem;
    border-radius: 1.5625rem;
}

.block-nine-item-grid .grid-item.grid-item--text {
    padding: 2.5rem;
}

.block-nine-item-grid .grid-item h5 {
    margin-bottom: 1.875rem;
}

.block-nine-item-grid .grid-item--image {
    flex-grow: 1;
    min-height: 17.1875rem;
}

.block-nine-item-grid .grid-item--image img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-radius: 1.5625rem;
}

.block-nine-item-grid .number {
    width: 2.5rem;
    height: 2.5rem;
    background-color: var(--c-tertiary);
    border-radius: 100vw;
    font-size: var(--font-18-12);
    display: grid;
    place-items: center;
    font-weight: 600;
    color: var(--c-text-light);
    line-height: 1;
    letter-spacing: -0.04em;
}

@media screen and (width <= 920px) {
    .block-nine-item-grid .grid-item.grid-item--text {
        padding: 1.375rem;
    }
    .block-nine-item-grid .number {
        width: 1.625rem;
        height: 1.625rem;
    }
    .block-nine-item-grid .grid-item h5 {
        margin-bottom: 1.125rem;
    }
    .block-nine-item-grid .grid-item {
        gap: 1.125rem;
    }
}

@media screen and (width <= 620px) {
    .block-nine-item-grid .grid-wrapper {
        flex-direction: column;
        gap: 0.75rem;
    }
    .block-nine-item-grid .grid-column {
        display: contents;
    }
    .block-nine-item-grid .grid-item {
        order: var(--order);
    }
    .block-nine-item-grid .grid-item--image {
        min-height: auto;
    }
    .block-nine-item-grid .grid-item--image img {
        aspect-ratio: 1.75;
    }
}